%
% [Y lambdas] = pca_basis(X)
%
% Function that computes the orthogonal basis of the principal components
% 
% Input:
%       X - Vectorized and centered images, of size [width*height, number_of_images]
% Output:
%       Y - Principal components (PC) sorted in decreasing order wrt the eigenvalues,
%           of size [width*height, number_of_images]
%       lambdas - Eigenvalores corresponging to the PC (decreasing order), 
%                 of size [width*height, 1]
%

function [Y lambdas] = pca_basis(X)
    
    % Trick for implementation
    
	% HERE YOUR CODE
        
    % Sorting the eigen vectors and values
    
	% HERE YOUR CODE
    
    % Normalize the eigenvectors and eigenvalues

	% HERE YOUR CODE

    % Fix the orientation of the principal components (due to different
    % behaviour in different Matlab versions)
    for I=1:size(Y, 2)
        [idx, val] = find(Y(:, I) ~= 0, 1, 'first');
        if val < 0
            Y(:, I) = -Y(:, I);
        end
    end    
end
